package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_ENDS_WITH__CHARACTER_CHARACTER {
	private static final ValueBoolean do_ENDS_WITH(Context context, ValueCharacter s, ValueCharacter suffx) {
		
			return ValueBoolean.select(context.getGenerator(), s.stringValue().endsWith(suffx.stringValue()));
	}

	public static final void execute(Context context) {
		ValueCharacter p1 = (ValueCharacter)context.pop();
		ValueCharacter p0 = (ValueCharacter)context.pop();
		context.push(do_ENDS_WITH(context, p0, p1));
	}
}